跳到主要内容
Sursa Developers

对象

CardFileUpsertForm

用于 PUT /v1/cards-by-external-id/{external_id} 的文件。表单和文件检查与 POST /v1/cards 相同。卡片不存在时会创建。卡片已存在时,如果文件有变化,会以新版本替换内容。合集和文件夹只在创建卡片时生效。

字段

  • filestring (application/octet-stream)必填
  • titlestring | null

    卡片标题。不传时,新卡片使用文件名,已有卡片保留原标题。

    length ≤ 200

  • collectionstring
  • collection_idinteger | null
  • folder_idstring | null

    length ≤ 64

  • tagsstring

    以逗号分隔的标签。

  • owner_idinteger | null
  • verify_interval_daysinteger | null
  • categorystring | null
  • sensitiveboolean | null
  • metadatastring | null

    metadata:以 JSON 对象作为表单字段的值。规则与 MetadataPatch 相同。

  • asyncboolean

    默认值:false

使用方